package com.unitesk.requality.merge;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.DocumentFragment;

public class Fragment extends Tree{
	
	private DocumentFragment docFrag;
	
	public Fragment(){
		super();
		try {
			DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
			DocumentBuilder builder = factory.newDocumentBuilder();
			docFrag = builder.newDocument().createDocumentFragment();
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		}
	}
	
	public void attachNode(Node node, boolean deep) {
		org.w3c.dom.Node newNode = docFrag.getOwnerDocument().importNode(node.getDomNode(), deep);
		boolean flag = false;
		if(node.getParent()!=null){
			for(Node x : super.getTraversalSequence())
				if(x.isParent(node)){
					x.getDomNode().appendChild(newNode);
					flag = true;
					break;
				}
		}
		if(!flag) 
			docFrag.appendChild(newNode);
		super.makeLevelOrderedTraversalSequence(docFrag);
	}
}
