package com.unitesk.requality.tests;

import java.util.Map;

import com.unitesk.requality.core.TreeDB;

public interface ICoverageStorageSource {
	public Map<String,TreeNodeCoverageInfo> getCoverage();
	public Map<String, TestErrorInfo[]> getErrors();
	public void setSettings(String ... setts);
	public String getLastErrors();
	public String[] getSettings();
	public void setTargetStorage(CoverageStorage coverageStorage);
	public ICoverageSourceWizard getWizard(TreeDB db);
}
