package com.unitesk.requality.documents;

import java.util.HashMap;
import java.util.Map;

public class SymbolToUnicode {
	private static Map<Integer,String>map = new HashMap<Integer, String>();
	public static String toUnicode(int code){
		if(map.containsKey(code))
			return map.get(code);
		return "";
	}
	static{
	map.put(0x20,(char)0x0020+"");
	map.put(0x21,(char)0x0021+"");
	map.put(0x22,(char)0x2200+"");
	map.put(0x23,(char)0x0023+"");
	map.put(0x24,(char)0x2203+"");
	map.put(0x25,(char)0x0025+"");
	map.put(0x26,(char)0x0026+"");
	map.put(0x27,(char)0x220D+"");
	map.put(0x28,(char)0x0028+"");
	map.put(0x29,(char)0x0029+"");
	map.put(0x2A,(char)0x2217+"");
	map.put(0x2B,(char)0x002B+"");
	map.put(0x2C,(char)0x002C+"");
	map.put(0x2D,(char)0x2212+"");
	map.put(0x2E,(char)0x002E+"");
	map.put(0x2F,(char)0x002F+"");
	map.put(0x30,(char)0x0030+"");
	map.put(0x31,(char)0x0031+"");
	map.put(0x32,(char)0x0032+"");
	map.put(0x33,(char)0x0033+"");
	map.put(0x34,(char)0x0034+"");
	map.put(0x35,(char)0x0035+"");
	map.put(0x36,(char)0x0036+"");
	map.put(0x37,(char)0x0037+"");
	map.put(0x38,(char)0x0038+"");
	map.put(0x39,(char)0x0039+"");
	map.put(0x3A,(char)0x003A+"");
	map.put(0x3B,(char)0x003B+"");
	map.put(0x3C,(char)0x003C+"");
	map.put(0x3D,(char)0x003D+"");
	map.put(0x3E,(char)0x003E+"");
	map.put(0x3F,(char)0x003F+"");
	map.put(0x40,(char)0x2245+"");
	map.put(0x41,(char)0x0391+"");
	map.put(0x42,(char)0x0392+"");
	map.put(0x43,(char)0x03A7+"");
	map.put(0x44,(char)0x0394+"");
	map.put(0x45,(char)0x0395+"");
	map.put(0x46,(char)0x03A6+"");
	map.put(0x47,(char)0x0393+"");
	map.put(0x48,(char)0x0397+"");
	map.put(0x49,(char)0x0399+"");
	map.put(0x4A,(char)0x03D1+"");
	map.put(0x4B,(char)0x039A+"");
	map.put(0x4C,(char)0x039B+"");
	map.put(0x4D,(char)0x039C+"");
	map.put(0x4E,(char)0x039D+"");
	map.put(0x4F,(char)0x039F+"");
	map.put(0x50,(char)0x03A0+"");
	map.put(0x51,(char)0x0398+"");
	map.put(0x52,(char)0x03A1+"");
	map.put(0x53,(char)0x03A3+"");
	map.put(0x54,(char)0x03A4+"");
	map.put(0x55,(char)0x03A5+"");
	map.put(0x56,(char)0x03C2+"");
	map.put(0x57,(char)0x03A9+"");
	map.put(0x58,(char)0x039E+"");
	map.put(0x59,(char)0x03A8+"");
	map.put(0x5A,(char)0x0396+"");
	map.put(0x5B,(char)0x005B+"");
	map.put(0x5C,(char)0x2234+"");
	map.put(0x5D,(char)0x005D+"");
	map.put(0x5E,(char)0x22A5+"");
	map.put(0x5F,(char)0x005F+"");
	map.put(0x60,(char)0xF8E5+"");
	map.put(0x61,(char)0x03B1+"");
	map.put(0x62,(char)0x03B2+"");
	map.put(0x63,(char)0x03C7+"");
	map.put(0x64,(char)0x03B4+"");
	map.put(0x65,(char)0x03B5+"");
	map.put(0x66,(char)0x03C6+"");
	map.put(0x67,(char)0x03B3+"");
	map.put(0x68,(char)0x03B7+"");
	map.put(0x69,(char)0x03B9+"");
	map.put(0x6A,(char)0x03D5+"");
	map.put(0x6B,(char)0x03BA+"");
	map.put(0x6C,(char)0x03BB+"");
	map.put(0x6D,(char)0x03BC+"");
	map.put(0x6E,(char)0x03BD+"");
	map.put(0x6F,(char)0x03BF+"");
	map.put(0x70,(char)0x03C0+"");
	map.put(0x71,(char)0x03B8+"");
	map.put(0x72,(char)0x03C1+"");
	map.put(0x73,(char)0x03C3+"");
	map.put(0x74,(char)0x03C4+"");
	map.put(0x75,(char)0x03C5+"");
	map.put(0x76,(char)0x03D6+"");
	map.put(0x77,(char)0x03C9+"");
	map.put(0x78,(char)0x03BE+"");
	map.put(0x79,(char)0x03C8+"");
	map.put(0x7A,(char)0x03B6+"");
	map.put(0x7B,(char)0x007B+"");
	map.put(0x7C,(char)0x007C+"");
	map.put(0x7D,(char)0x007D+"");
	map.put(0x7E,(char)0x223C+"");
	map.put(0xA0,(char)0x20AC+"");
	map.put(0xA1,(char)0x03D2+"");
	map.put(0xA2,(char)0x2032+"");
	map.put(0xA3,(char)0x2264+"");
	map.put(0xA4,(char)0x2044+"");
	map.put(0xA5,(char)0x221E+"");
	map.put(0xA6,(char)0x0192+"");
	map.put(0xA7,(char)0x2663+"");
	map.put(0xA8,(char)0x2666+"");
	map.put(0xA9,(char)0x2665+"");
	map.put(0xAA,(char)0x2660+"");
	map.put(0xAB,(char)0x2194+"");
	map.put(0xAC,(char)0x2190+"");
	map.put(0xAD,(char)0x2191+"");
	map.put(0xAE,(char)0x2192+"");
	map.put(0xAF,(char)0x2193+"");
	map.put(0xB0,(char)0x00B0+"");
	map.put(0xB1,(char)0x00B1+"");
	map.put(0xB2,(char)0x2033+"");
	map.put(0xB3,(char)0x2265+"");
	map.put(0xB4,(char)0x00D7+"");
	map.put(0xB5,(char)0x221D+"");
	map.put(0xB6,(char)0x2202+"");
	map.put(0xB7,(char)0x2022+"");
	map.put(0xB8,(char)0x00F7+"");
	map.put(0xB9,(char)0x2260+"");
	map.put(0xBA,(char)0x2261+"");
	map.put(0xBB,(char)0x2248+"");
	map.put(0xBC,(char)0x2026+"");
	map.put(0xBD,(char)0x23D0+"");
	map.put(0xBE,(char)0x23AF+"");
	map.put(0xBF,(char)0x21B5+"");
	map.put(0xC0,(char)0x2135+"");
	map.put(0xC1,(char)0x2111+"");
	map.put(0xC2,(char)0x211C+"");
	map.put(0xC3,(char)0x2118+"");
	map.put(0xC4,(char)0x2297+"");
	map.put(0xC5,(char)0x2295+"");
	map.put(0xC6,(char)0x2205+"");
	map.put(0xC7,(char)0x2229+"");
	map.put(0xC8,(char)0x222A+"");
	map.put(0xC9,(char)0x2283+"");
	map.put(0xCA,(char)0x2287+"");
	map.put(0xCB,(char)0x2284+"");
	map.put(0xCC,(char)0x2282+"");
	map.put(0xCD,(char)0x2286+"");
	map.put(0xCE,(char)0x2208+"");
	map.put(0xCF,(char)0x2209+"");
	map.put(0xD0,(char)0x2220+"");
	map.put(0xD1,(char)0x2207+"");
	map.put(0xD2,(char)0x00AE+"");
	map.put(0xD3,(char)0x00A9+"");
	map.put(0xD4,(char)0x2122+"");
	map.put(0xD5,(char)0x220F+"");
	map.put(0xD6,(char)0x221A+"");
	map.put(0xD7,(char)0x22C5+"");
	map.put(0xD8,(char)0x00AC+"");
	map.put(0xD9,(char)0x2227+"");
	map.put(0xDA,(char)0x2228+"");
	map.put(0xDB,(char)0x21D4+"");
	map.put(0xDC,(char)0x21D0+"");
	map.put(0xDD,(char)0x21D1+"");
	map.put(0xDE,(char)0x21D2+"");
	map.put(0xDF,(char)0x21D3+"");
	map.put(0xE0,(char)0x22C4+"");
	map.put(0xE1,(char)0x3008+"");
	map.put(0xE2,(char)0x00AE+"");
	map.put(0xE3,(char)0x00A9+"");
	map.put(0xE4,(char)0x2122+"");
	map.put(0xE5,(char)0x2211+"");
	map.put(0xE6,(char)0x239B+"");
	map.put(0xE7,(char)0x239C+"");
	map.put(0xE8,(char)0x239D+"");
	map.put(0xE9,(char)0x23A1+"");
	map.put(0xEA,(char)0x23A2+"");
	map.put(0xEB,(char)0x23A3+"");
	}
}
